﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using synonyms_demo.Models;

namespace synonyms_demo.Migrations
{
    [DbContext(typeof(SynonymsDbContext))]
    [Migration("20190808150305_InitialSchemaCreation")]
    partial class InitialSchemaCreation
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.6-servicing-10079")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("synonyms_demo.Models.SynonymEntryModel", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Synonyms")
                        .HasMaxLength(512);

                    b.Property<string>("Term")
                        .HasMaxLength(64);

                    b.HasKey("Id");

                    b.ToTable("SynonymEntries");
                });
#pragma warning restore 612, 618
        }
    }
}
